package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@TableName("WORK_CENTER")
public class WorkCenter extends Model<WorkCenter> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("WORK_CENTER")
   private String workCenter;
   @TableField("ROUTER_BO")
   private String routerBo;
   @TableField("CAN_BE_RELEASED_TO")
   private String canBeReleasedTo;
   @TableField("WC_CATEGORY")
   private String wcCategory;
   @TableField("STATUS_BO")
   private String statusBo;
   @TableField("WC_TYPE")
   private String wcType;
   @TableField("ASSIGNMENT_ENFORCEMENT")
   private String assignmentEnforcement;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("ERP_INTERNAL_ID")
   private Long erpInternalId;
   @TableField("IS_ERP_WORK_CENTER")
   private String isErpWorkCenter;
   @TableField("ERP_WORK_CENTER")
   private String erpWorkCenter;
   @TableField("ERP_CAPACITY_CATEGORY")
   private String erpCapacityCategory;
   @TableField("PRODUCTION_SUPPLY_AREA")
   private String productionSupplyArea;
   @TableField("STANDARD_VALUE_KEY_BO")
   private String standardValueKeyBo;
   @TableField(exist = false)
   private String description;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getRouterBo() {
      return routerBo;
   }

   public void setRouterBo(String routerBo) {
      this.routerBo = routerBo;
   }

   public String getCanBeReleasedTo() {
      return canBeReleasedTo;
   }

   public void setCanBeReleasedTo(String canBeReleasedTo) {
      this.canBeReleasedTo = canBeReleasedTo;
   }

   public String getWcCategory() {
      return wcCategory;
   }

   public void setWcCategory(String wcCategory) {
      this.wcCategory = wcCategory;
   }

   public String getStatusBo() {
      return statusBo;
   }

   public void setStatusBo(String statusBo) {
      this.statusBo = statusBo;
   }

   public String getWcType() {
      return wcType;
   }

   public void setWcType(String wcType) {
      this.wcType = wcType;
   }

   public String getAssignmentEnforcement() {
      return assignmentEnforcement;
   }

   public void setAssignmentEnforcement(String assignmentEnforcement) {
      this.assignmentEnforcement = assignmentEnforcement;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public Long getErpInternalId() {
      return erpInternalId;
   }

   public void setErpInternalId(Long erpInternalId) {
      this.erpInternalId = erpInternalId;
   }

   public String getIsErpWorkCenter() {
      return isErpWorkCenter;
   }

   public void setIsErpWorkCenter(String isErpWorkCenter) {
      this.isErpWorkCenter = isErpWorkCenter;
   }

   public String getErpWorkCenter() {
      return erpWorkCenter;
   }

   public void setErpWorkCenter(String erpWorkCenter) {
      this.erpWorkCenter = erpWorkCenter;
   }

   public String getErpCapacityCategory() {
      return erpCapacityCategory;
   }

   public void setErpCapacityCategory(String erpCapacityCategory) {
      this.erpCapacityCategory = erpCapacityCategory;
   }

   public String getProductionSupplyArea() {
      return productionSupplyArea;
   }

   public void setProductionSupplyArea(String productionSupplyArea) {
      this.productionSupplyArea = productionSupplyArea;
   }

   public String getStandardValueKeyBo() {
      return standardValueKeyBo;
   }

   public void setStandardValueKeyBo(String standardValueKeyBo) {
      this.standardValueKeyBo = standardValueKeyBo;
   }

public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String WORK_CENTER = "WORK_CENTER";

public static final String ROUTER_BO = "ROUTER_BO";

public static final String CAN_BE_RELEASED_TO = "CAN_BE_RELEASED_TO";

public static final String WC_CATEGORY = "WC_CATEGORY";

public static final String STATUS_BO = "STATUS_BO";

public static final String WC_TYPE = "WC_TYPE";

public static final String ASSIGNMENT_ENFORCEMENT = "ASSIGNMENT_ENFORCEMENT";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String ERP_INTERNAL_ID = "ERP_INTERNAL_ID";

public static final String IS_ERP_WORK_CENTER = "IS_ERP_WORK_CENTER";

public static final String ERP_WORK_CENTER = "ERP_WORK_CENTER";

public static final String ERP_CAPACITY_CATEGORY = "ERP_CAPACITY_CATEGORY";

public static final String PRODUCTION_SUPPLY_AREA = "PRODUCTION_SUPPLY_AREA";

public static final String STANDARD_VALUE_KEY_BO = "STANDARD_VALUE_KEY_BO";

public String getDescription() {
   return description;
}

public void setDescription(String description) {
   this.description = description;
}

   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "WorkCenter{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", workCenter = " + workCenter +
         ", routerBo = " + routerBo +
         ", canBeReleasedTo = " + canBeReleasedTo +
         ", wcCategory = " + wcCategory +
         ", statusBo = " + statusBo +
         ", wcType = " + wcType +
         ", assignmentEnforcement = " + assignmentEnforcement +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", erpInternalId = " + erpInternalId +
         ", isErpWorkCenter = " + isErpWorkCenter +
         ", erpWorkCenter = " + erpWorkCenter +
         ", erpCapacityCategory = " + erpCapacityCategory +
         ", productionSupplyArea = " + productionSupplyArea +
         ", standardValueKeyBo = " + standardValueKeyBo +
         "}";
   }
}